------------------------------------------------------------------------------------
--Name：  220623[简体征服][活动脚本]全球七夕活动
--Creator:      黄洪文
--Created:     2022-07-01
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>295
--/reloadlua Script\QiXi\QiXiMemory4.lua
--/chgmap 11848 138 247
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(141,249)
CppScriptMgr:NpcCallOut("Orphee once helped an injured raven, and it turned out to be a divine bird of the God of Sun. It came specially to attend Orphee`s wedding.",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("When the carriage carrying Orphee and his wife slowly appeared, the raven spread its wings, and soon the carriage was nicely decorated.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:NpcCallOut("Kind Orphee passed his father`s test and got a Gold Carriage from his father.",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetLightScreen(1500)
local Player_1=CppScriptMgr:QueryHero()
Player_1:SetPos(139,247)
Player_1:SetDir(6)
local Player_4=CppScriptMgr:AddSimplePlayer(1062505,109,193,"[God of Sun]\n  Apollo",0,0)
Player_4:SetZoomPercent(180)
Player_4:SetHide(1)
local Player_2=CppScriptMgr:AddSimplePlayer(1055785,141,251,"[God of Sun`s Child] \n    Orphee",0,0)
local Player_3=CppScriptMgr:AddSimplePlayer(49960,143,247,"Helpless Old Man",0,0)
Player_3:SetDir(0)
Player_1:SetZoomPercent(150)
local player_Name_1=Player_1:GetName()
Player_2:SetZoomPercent(150)
Player_3:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("Young hero, there is something wrong with my leg. Could you please send me home?",1500)
CppScriptMgr:NpcCallOut("Young hero, there is something wrong with my leg. Could you please send me home?",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_QiXiLaoRen",150,430,"Helpless Old Man",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(101)
Player_2:Say("But... it`s almost the time for my date with Eurydice...",1500)
CppScriptMgr:NpcCallOut("But... it`s almost the time for my date with Eurydice...",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetAction(101)
Player_1:Say("Well... that`s so sad...",1500)
CppScriptMgr:NpcCallOut("Well... that`s so sad...",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc182",150,430,player_Name_1,250,655)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("My poor wife is still waiting for me at home... What should I do?",1500)
CppScriptMgr:NpcCallOut("My poor wife is still waiting for me at home... What should I do?",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_QiXiLaoRen",150,430,"Helpless Old Man",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(190)
Player_2:Say("Alright, I think I`ll have to say sorry to Eurydice. She will understand.",1500)
CppScriptMgr:NpcCallOut("Alright, I think I`ll have to say sorry to Eurydice. She will understand.",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetViewPosByCell(108,187)
CppScriptMgr:SetLightScreen(150)
local Effect_1=CppScriptMgr:AddEffect("zf2-e300",106,187,33)
local Effect_2=CppScriptMgr:AddEffect("zf2-e300",109,187,33)
local Effect_3=CppScriptMgr:AddEffect("zf2-e300",109,193,33)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetPos(106,187)
local Player_6=CppScriptMgr:AddSimplePlayer(1055780,109,187,"[God of Sun`s Child] \n    Orphee",0,0)
Player_6:SetZoomPercent(150)
local Player_7=CppScriptMgr:AddSimplePlayer(49965,109,193,"",0,0)
Player_7:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1500)
Player_7:Say("Thank you for helping me. I`ve got a gift for you.",1000)
CppScriptMgr:NpcCallOut("Thank you for helping me. I`ve got a gift for you.",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_QiXiLaoRen",150,430,"Helpless Old Man",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_4:Say("A gift?",1000)
CppScriptMgr:NpcCallOut("A gift?",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1500)
local Effect_4=CppScriptMgr:AddEffect("zf2-e236",109,193,100)
Player_7:SetHide(1)
CppScriptMgr:WaitMilSec(1000)
local Player_5=CppScriptMgr:AddSimplePlayer(1062530,118,193,"",0,0)
Player_5:SetHide(1)
Player_4:SetHide(0)
CppScriptMgr:WaitMilSec(1500)
Player_6:SetAction(190)
Player_2:Say("Father! What are you doing here?",1500)
CppScriptMgr:NpcCallOut("Father! What are you doing here?",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_4:SetAction(190)
Player_4:Say("My good child, to thank you for your kindness, I`ve decided to give you a Gold Carriage.",1500)
CppScriptMgr:NpcCallOut("My good child, to thank you for your kindness, I`ve decided to give you a Gold Carriage.",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc190",150,430,"Apollo",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetAction(101)
Player_1:Say("Ahh, that was a test set by Orphee`s father!",1500)
CppScriptMgr:NpcCallOut("Ahh, that was a test set by Orphee`s father!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc182",150,430,player_Name_1,250,655)
CppScriptMgr:WaitMilSec(1500)
Player_4:SetAction(103)
CppScriptMgr:WaitMilSec(2000)
local Effect_6=CppScriptMgr:AddEffect("zf2-e233",118,193,33)
CppScriptMgr:WaitMilSec(1000)
Player_5:SetHide(0)
local Effect_5=CppScriptMgr:AddEffect("zf2-e282",118,193,33)
CppScriptMgr:WaitMilSec(1000)
Player_6:Say("That`s incredible!",1000)
CppScriptMgr:NpcCallOut("That`s incredible!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_4:Say("I`m sure you can handle it!",1000)
CppScriptMgr:NpcCallOut("I`m sure you can handle it!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc190",150,430,"Apollo",250,655)
CppScriptMgr:WaitMilSec(2000)